@font-face{
            font-family: memo;
            src: url("../font/ShigotoMemogaki-Regular-1-02.ttf")format("truetype");
        }
body{
    margin: 0;
    overflow-x: hidden;
    padding: 0;
    background-color: #684235;
}

header{
    z-index: 2;
    margin: 0;
}
img{
    /* SPの長押し禁止 */
    -webkit-touch-callout:none;
    -webkit-user-select:none;
    -moz-touch-callout:none;
    -moz-user-select:none;
    user-select:none;
}
h2{
    margin: 0;
    padding-top: 10px;
    text-align: center;
}
p{
    margin: 0;
    padding-top: 10px;
}
#logo{
    height: 40px;
    position: fixed;
    top: 9px;
    left: 3px;
}

#hamburger{
    font-size: 58px;
    height: auto;
    position: fixed;
    right: 3px;
    top: -15px;
    font-weight: bold;
    padding: auto 0;
    z-index: 4;
    user-select: none;
    color: #000;
    transition: all .5s;
}



.menu{
    font-family: memo;
    font-size: 16px;
    display: block;
    position: fixed;
    right: -85vw;
    top: 0;
    height: 100vh;
    width: 85vw;
    background-color: #a4a041;
    background-image: url(../img/cork_board.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    transition: all .5s;
    border-radius: 18px 0 0 18px;
    box-shadow: 0 0 5px #00000080;
    z-index: 4;
    opacity: 0;
    overflow: auto;
}
.menu h2{
    position: absolute;

}
.open .menu{
    right: 0;
    opacity: 1;
}
.open #hamburger{
    color: #fff;
}
#mask{
    z-index: 3;
    height: 100vh;
    width: 100vw;
    background-color: #000000b0;
    position: fixed;
    top: -100vh;
    left: 0;
    display: block;
    opacity: 0;
    transition: all .5s;
}
.open #mask{
    top: 0;
    opacity: 1;
}

.object{
    position: absolute;
    animation: upDown 1.2s infinite;
}
.object2{
    position: absolute;
    animation: yurayura 1.2s infinite ease;
}
.object02{
    position: absolute;
}
.object03{
    position: absolute;
    width: 113%;
    top: 85.1%;
    right: 1%;
}

#shelf_box{
    width: 100%;
    height: fit-content;
    position: relative;
    margin: 0;
    padding: 0;
    display: block;
}
#shelf{
    width: 100vw;
    margin: 0;
    display: block;
}
.bookLink{
    width: 29%;
    margin: 0;
}
#bl1{
    left: 25%;
    top: 18.28%;
}
#bl2{
    right: .8%;
    top: 31.32%;
}
#bl3{
    left: 4.5%;
    top: 44.25%;
}
#bl4{
    left: 39.2%;
    top: 44.25%;
}
#bl5{
    right: 3.8%;
    top: 72.45%;
}
#earth{
    position: absolute;
    width: 26%;
    right: 5%;
    top: 6.6%;
}
#cactus{
    position: absolute;
    width: 17%;
    right: 39%;
    top: 8.8%;
}
#memo{
    width: 12.4%;
    left: 13.2%;
    top: 27.9%;
}
#memo2{
    width: 12.4%;
    left: 63.2%;
    top: 40.8%;
}
#memo3{
    width: 12.4%;
    left: 32.2%;
    top: 66.74%;
}
#car{
    position: absolute;
    width: 36%;
    left: 35%;
    top: 60.02%;
}

@keyframes upDown{
    0%{
        transform: translateY(0);
    }
    25%{
        transform: translateY(-5px);;
    }
    50%{
        transform: translateY(0);
    }
    100%{
        transform: translateY(0);
    }
}

@keyframes yurayura{
    0%{
        transform: rotate(0);
    }
    12.5%{
        transform: rotate(5deg);
    }
    25%{
        transform: rotate(0);
    }
    37.5%{
        transform: rotate(-5deg);
    }
    50%{
        transform: translateY(0);
    }
    100%{
        transform: translateY(0);
    }
}

.backBtn{
    height: 70px;
    width: 70px;
    border-radius: 100px;
    background-color: #ccc;
    color: #222;
    font-size: 25px;
    display: grid;
    place-items: center;
    font-weight: bold;
}
#modoru{
    position: absolute;bottom: 60px;left: 10px;
}
#susumu{
    position: absolute;bottom: 60px;right: 10px;
}
#toziru{
    position: absolute;bottom: 60px;left: calc(50% - 35px);
}
#toziru2{
    display: none;
    animation: fadeIn .5s;
    position: absolute;bottom: 60px;left: calc(50% - 35px);
}
.counter{
    height: auto;
    width: 100%;
    position: absolute;top: 30px;left: 0;
    color: #fff;
    font-size: 20px;
    text-align: center;
}

#bookAnims{
    height: 100vh;
    width: 100vw;
    background-color: #00000000;
    position: fixed;
    top: -120vh;
    left: 0;
    z-index: 3;
    overflow-x: hidden;
    transition: all .6s;
}
.show #bookAnims{
    height: 100vh;
    width: 100vw;
    background-color: #000000b0;
    position: fixed;
    top: 0;
    left: 0;
}
.bookAnim1{
    width: 150%;
    position: absolute;
    bottom: 18%;
    left: 8%;
}
.bookAnim2{
    width: 150%;
    position: absolute;
    bottom: 18%;
    right: 8%;
}

/*本の中身*/
.bookText1{
    font-family: memo;
    font-weight: bold;
    font-size: 16px;
    color: #222;
    width: 59%;
    height: 93vw;
    position: absolute;
    bottom: 27%;
    left: 23%;
    transform: rotate(-10.5deg);
    animation: fadeIn .6s;
}
#bookimg1{
    margin: 10px;
    left: 25%;
    transform: rotate(11deg);
}

.bookText2{
    font-family: memo;
    font-weight: bold;
    font-size: 16px;
    color: #222;
    width: 57%;
    height: 93vw;
    position: absolute;
    bottom: 27%;
    right: 23%;
    transform: rotate(10.5deg);
    animation: fadeIn .6s;
}
#bookimg2{
    margin: 10px;
    padding-left: 2%;
    right: 23%;
    transform: rotate(-10.5deg);
}

.bookText3{
    font-family: memo;
    font-weight: bold;
    font-size: 16px;
    color: #222;
    width: 57%;
    height: 88vw;
    position: absolute;
    top: 27%;
    left: 24%;
    transform: rotate(-4deg);
    animation: fadeIn .6s;
}
#bookimg3{
    margin: 10px;
    margin-bottom: 5px;
    position: absolute;
    bottom: 0%;
    left: -2%;
    transform: rotate(-4deg);
}

.bookText4{
    font-family: memo;
    font-weight: bold;
    font-size: 16px;
    color: #222;
    width: 57%;
    height: 88vw;
    position: absolute;
    top: 30%;
    right: 24%;
    transform: rotate(3.5deg);
    animation: fadeIn .6s;
}
#bookimg4{
    margin: 10px;
    position: absolute;
    margin-bottom: 5px;
    bottom: 6%;
    right: 0%;
    transform: rotate(7deg);
}

.bookText5{
    font-family: memo;
    font-weight: bold;
    font-size: 16px;
    color: #222;
    width: 59%;
    height: 93vw;
    position: absolute;
    bottom: 28%;
    right: 22%;
    transform: rotate(-4deg);
    animation: fadeIn .6s;
}
#bookimg5{
    margin: 10px;
    left: 24%;
    transform: rotate(3.5deg);
}

#pepar{

}

@keyframes fadeIn{
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

#cat_in{
    position: fixed;top: 0;left: 0;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    background-color: #888;
    animation: bgc_in .7s linear;
    display: none;
    z-index: 1000;
}

.cat_in {
    width: 50%;
    animation: in .7s ease forwards;
    box-shadow: 0 0 0 300px #000; /* 境界を box-shadow で追加 */
    transform-origin: center center; /* アニメーション中も基準点を中央に維持 */
    z-index: 1000;
}

@keyframes in {
    0% {
      transform: scale(60.0);
    }
    100% {
      transform: scale(3.0);
    }
}

@keyframes bgc_in{
    0%{
        background-color: #00000000;
    }
    35%{
        background-color: #00000000;
    }
    100%{
        background-color: #888888ff;
    }
}

/*オープニング*/

#display{
    position: fixed;
    top: 0;
    left: 100vw;
    width: 100vw;
    height: 100vh;
    z-index: 999;
    overflow-x: visible;
    transition: all .5s;
    background-color: #00000000;
}
.visible #display{
    left: 0;
    background-color: #000000b0;
}
.bookAnimOp{
    width: 170%;
    position: absolute;
    top: 10vh;
    left: -35%;
}

#sentence_font {
    font-family: memo;
    color: #564845;
    font-size: 15px;
    font-weight: bold;
    position: absolute;
    top: 32vh;
    left: 5%;
    right: 5%;
    column-count: 2;
    column-gap: 40px;
    opacity: 0; /* 最初は非表示 */
    transition: opacity 1s; /* ディゾルブ用のトランジション */
}

.cara {
    position: absolute;
    left: 85%;
    top: 20vh;
}

.visible #sentence_font h1 {
    font-size: 20px;
    font-family: memo;
}

.profile{
    width: 100vw;
    height: 100vh;
    background-color: #00000000;
    margin: 0;
    transition: all .3s;
    position: fixed;top: 0;left: -100vw;
    display: grid;
    place-items: center;
    font-family: memo;
    background-image: url("../img/sindan_background_img.png");
}

.show .profile{
    position: fixed;top: 0;left: 0;
    background-color: #ffffff;
}